require File.expand_path('../../setup', __FILE__)

class App < E
  map :/
  view_prefix '/'
  before do
    clear_cache! if params[:clear_cache]
    clear_compiler! if params[:clear_compiler]
  end

  def cache_test body
    cache { body }
  end

  def compiler_test body
    File.open(app.root + 'view/compiler_test.erb', 'w') { |f| f << body }
    render
  end
end
run E.new {
  mount App
  pids do
    Dir[File.expand_path('../tmp/pids/*.pid', __FILE__)].map { |f| File.read f }
  end
}
